%Ler um conjunto de pontos de uma interacao em um dado arquivo
function [Resp,RPos] = LeDadoIt (NumeroDaIteracao)
NomeDoArquivo = 'u://temp//a2.sig';
NomeDoArquivop = 'u://temp//a2.pos';

%NumeroDaIteracao = 15;

%Abri o arquivo
fid  = fopen(NomeDoArquivo,'rt');
fidp  = fopen(NomeDoArquivop,'rt');

count = 18*50;

for Iteracao=1:NumeroDaIteracao
	count = 18*50;

	[a count] = fscanf(fid,'%f\n', count);
	[b connt2] = fscanf(fidp, '%f %f %f', 3);
	
	for k=0:(count/50)-1
		Dado(k+1,:) = a(1+(k*50):50+(k*50))';
	end
end

Resp = Dado;
RPos = b;

fclose(fid);
fclose(fidp);
